Bug 205345 - [ta_IN] Text is out of screen for widget
Summary: [ta_IN] Text is out of screen for widget
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-06 07:52 UTC by A S Alam
Modified: 2013-07-03 00:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 20:50:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Disk part Selection WIndow (27.99 KB, image/png)
2006-09-06 07:52 UTC, A S Alam
no flags Details
Disk Edit Dialog box (38.58 KB, image/png)
2006-09-06 07:52 UTC, A S Alam
no flags Details

Description A S Alam 2006-09-06 07:52:06 UTC
Description of problem:
With Tamil installation, 2 Windows showing text outside the Widget, which are
not useful for end user

Version-Release number of selected component (if applicable):
anaconda-11.1.0.89-1

How reproducible:
Everytime during installation

Steps to Reproduce:
1. Start installation with Tamil (GUI)
2. Look at Disk partition selection and Main Disk management screen
3.
  
Actual results:
Text is outside the screen

Expected results:
Text should be short size, so that Text available to user

Additional info:
1) screenshot is attached
2) Translator is CC for change in translation

Comment 1 A S Alam 2006-09-06 07:52:06 UTC
Created attachment 135633 [details]
Disk part Selection WIndow

Comment 2 A S Alam 2006-09-06 07:52:56 UTC
Created attachment 135634 [details]
Disk Edit Dialog box

Comment 3 Jeremy Katz 2006-09-06 13:16:36 UTC
There's not really anything that can be done in anaconda -- the translation just
needs to be shortened

Comment 4 Caius Chance 2006-09-11 04:39:44 UTC
ifelix, sorry to bother, is that anyway to shorten such translation sentences to
avoid the text out of the screen? :)

-----

Is there any modification on the layout possible to let the widgets auto-fit the
texts as well as maintain the functionalities of anaconda? I am not too sure if
such language could be shorten its sentences without shorten its meanings.

Comment 5 Felix 2006-09-11 05:09:52 UTC
Ok, Maximum in my side i 'll try to shorten the text of the widgets. I 'll let u
know soon.


Comment 6 Caius Chance 2006-09-11 05:17:18 UTC
Bug is similar to bz#205341 & bz#205342.

Comment 7 Felix 2006-09-12 09:53:00 UTC
Disk Edit Dialog box is fixed. But Disk part Selection Window I can't shorten
the text. If i did, it is meaningless. Though it is coming in 2 lines I think,
it need small adjustment. 

Comment 8 Jeremy Katz 2006-09-12 12:43:05 UTC
You should be able to add new lines into the translation (\n) and they should
then be respected.  Unfortunately, GTK+ doesn't really give us much of a way to
handle this programatically and it becomes a larger problem in cases such as
anaconda where there's only a very fixed amount of screen real estate 

Comment 9 Caius Chance 2006-09-13 01:47:22 UTC
Is it possible to make it a short form on the widgets but with a tooltips to
explain meanings? Or something which could be displayed only when user moves
cursor on such widgets?

I am not too familiar to GTK+ so please feel free to correct me.

Comment 10 Felix 2006-09-13 05:11:02 UTC
I break the text as follows:

#: ../iw/autopart_type.py:114 ../textw/partition_text.py:1527
msgid "Remove linux partitions on selected drives and create default layout."
msgstr ""
"தேர்ந்தெடுக்கப்பட்ட இயக்கிகளில் லினக்ஸ் பகிர்வுகளையும் நீக்கி, \n"
"முன்னிருப்பு அமைப்பினை உருவாக்கவும்."

 Now i think it 'll help.

Comment 11 Caius Chance 2006-09-14 01:05:01 UTC
ifelix, please inform when you have committed to cvs, thanks a lot.

Comment 12 Felix 2006-09-14 04:31:10 UTC
caius, I commited the file yesterday, before writing my comment.

Comment 14 Caius Chance 2006-09-14 13:58:45 UTC
Maintainer please confirm if the problem has been solved, thanks.


Note You need to log in before you can comment on or make changes to this bug.